mia-2ddeform
Prev | Registration, Comparison, and Transformation of 2D images | Next

### mia-2ddeform

#### Sysnopis:

`mia-2ddeform` {-i `io`} {-o `io`} {-t `io`} [ `options` ...]

#### Description:

This program is used to deform a 2D image using a deformation vector field. Input image and deformation field must be of the same size. The transformation formula is 'x -> x - v(x)'

#### Options:

-i, --in-file=(input, required); io

  input image. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  transformed image. For supported file types see Plugin type: 2dimage/io

-t, --transformation=(input, required); io

  transformation vector field. For supported file types see Plugin type: 2dvf/io

-p, --interpolator=bspline:d=3; factory

  image interpolator kernel. For supported plug-ins see Plugin type: 1d/splinekernel

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Deform image input.png by using the transformation given in transform.v and store the result in deformed.png using linear interpolation

    mia-2ddeform -i input.png -t transform.v -o deformed.png -p bspline:d=1

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dcost | Home | mia-2dfluid